/******************************************************************************
	(C) 2013. IntBuSoft. http://intbusoft.com
	OMarks.h - version 1.0		
*******************************************************************************/
#pragma once

#ifdef WIN32
#include <windows.h>
#endif

// Type Code
#define OMARKS_TYPE_SMALL_AZTEC			0x01

// Params
#define OMARKS_IMAGE24					0x01
#define OMARKS_IMAGE8					0x02
#define OMARKS_IMAGE32					0x20
#define OMARKS_QUALITY_1				0x04
#define OMARKS_QUALITY_2				0x08
#define OMARKS_QUALITY_3				0x10

// Dinamic
#define DMARK_TREMBLE					0x100
#define DMARK_MOTION					0x200


/*
	Function FindMarkers finds markers on image.
	0  - No Markers.
	1  - Markers.
	2  - Unknown image format.
	3  - Unknown type marker.
	4  - Unknown quality.
	5  - Error recognition.
*/
int 
#ifdef WIN32
__stdcall 
#endif
FindMarkers( char* Image_Data, int Image_Width, int Image_Height,
			 int* All_Markers, char** Data_Result, int** Size_Data_Result, int** Points4_Mark, // Result
			 int Type_Marker, int Param );

void*
#ifdef WIN32
__stdcall 
#endif
DMarksInit();

void 
#ifdef WIN32
__stdcall 
#endif
DMarksRelease( void** Marks);

void 
#ifdef WIN32
__stdcall 
#endif
DMarksProcessed( char* Image_Data, int Image_Width, int Image_Height, void** Marks, int* All_Markers, char** Data_Result, int** Size_Data_Result, int** Points4_Mark, int flags );
